# class KFilePreview |
Definition | `#include <kfilepreview.h>`
Inherits | KFileView [public ], QSplitter (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFilePreview (QWidget *parent, const char *name)
- KFilePreview (KFileView *view, QWidget *parent, const char *name)
- virtual ~KFilePreview ()
- virtual QWidget * widget ()
- virtual void clearView ()
- void setFileView (KFileView *view)
- KFileView* fileView () const
- virtual void updateView ( bool )
- virtual void updateView (const KFileViewItem*)
- virtual void removeItem (const KFileViewItem*)
- virtual void setSelectionMode ( KFile::SelectionMode sm )
- virtual void clearSelection ()
- virtual bool isSelected ( const KFileViewItem * ) const
- virtual void setSelected (const KFileViewItem *, bool)
- virtual void insertItem (KFileViewItem *)
- virtual void clear ()
- void setPreviewWidget (const QWidget *w, const KURL &u)
- void ensureItemVisible (const KFileViewItem *)

#### Signals

- void showPreview (const KURL &)

#### Protected Slots

- void activatedMenu (const KFileViewItem*)
- void selectDir (const KFileViewItem*)
- void highlightFile (const KFileViewItem*)
- void selectFile (const KFileViewItem*)

## Detailed Description

KFilePreview (QWidget *parent, const char *name) | ### KFilePreview

KFilePreview (KFileView *view, QWidget *parent, const char *name) | ### KFilePreview

~KFilePreview () | ### ~KFilePreview

[virtual]

QWidget * widget () | ### widget

[virtual]

Reimplemented from KFileView.

void clearView () | ### clearView

[virtual]

Reimplemented from KFileView.

void setFileView (KFileView *view) | ### setFileView

Delets the current view and sets the view to the given `view`. The view is reparented to have this as parent, if necessary.

KFileView* fileView () | ### fileView

[const]

Returns: the current fileview

void updateView ( bool ) | ### updateView

[virtual]

Reimplemented from KFileView.

void updateView (const KFileViewItem*) | ### updateView

[virtual]

Reimplemented from KFileView.

void removeItem (const KFileViewItem*) | ### removeItem

[virtual]

Reimplemented from KFileView.

void setSelectionMode ( KFile::SelectionMode sm ) | ### setSelectionMode

[virtual]

Reimplemented from KFileView.

void clearSelection () | ### clearSelection

[virtual]

Reimplemented from KFileView.

bool isSelected ( const KFileViewItem * ) | ### isSelected

[const virtual]

Reimplemented from KFileView.

void setSelected (const KFileViewItem *, bool) | ### setSelected

[virtual]

Reimplemented from KFileView.

void insertItem (KFileViewItem *) | ### insertItem

[virtual]

Reimplemented from KFileView.

void clear () | ### clear

[virtual]

Reimplemented from KFileView.

void setPreviewWidget (const QWidget *w, const KURL &u) | ### setPreviewWidget

void ensureItemVisible (const KFileViewItem *) | ### ensureItemVisible

Reimplemented from KFileView.

void showPreview (const KURL &) | ### showPreview

[signal]

void activatedMenu (const KFileViewItem*) | ### activatedMenu

[protected slots slot]

void selectDir (const KFileViewItem*) | ### selectDir

[protected slots slot]

void highlightFile (const KFileViewItem*) | ### highlightFile

[protected slots slot]

void selectFile (const KFileViewItem*) | ### selectFile

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.